Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Fedora Development Java (http://www.linux-archive.org/fedora-development-java/)
-   -   JRE not recognised in eclipse IDE (http://www.linux-archive.org/fedora-development-java/432367-jre-not-recognised-eclipse-ide.html)

Mat Booth 09-27-2010 04:43 PM

JRE not recognised in eclipse IDE
 
On 27 September 2010 16:47, Yup Yup <linux_yup436@yahoo.com> wrote:
>
> Hi,
> I installed eclipse-platform-3.5.2-2.fc13.x86_64 on Fedora 13.
> Java has been installed on the system.
> ca1@localhost ~]$ java -version
> java version "1.6.0_18"
> ......
>
> But, Java runtime is not recognised in the Eclipse IDE.
> Under Menu....... Window>Preferences there are no installed JREs options.
> Also, no Java project, class options in the menu is available.
>
>

Do you have the Java Development Tools installed?

yum install eclipse-jdt



--
Mat Booth
http://fedoraproject.org/get-fedora
--
java-devel mailing list
java-devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/java-devel

Guido Grazioli 09-27-2010 04:44 PM

JRE not recognised in eclipse IDE
 
2010/9/27 Yup Yup wrote:
> Hi,
> I installed eclipse-platform-3.5.2-2.fc13.x86_64 on Fedora 13.
> Java has been installed on the system.
> ca1@localhost ~]$ java -version
> java version "1.6.0_18"
> ......
>
> But, Java runtime is not recognised in the Eclipse IDE.
> Under Menu....... Window>Preferences there are no installed JREs options.
> Also, no Java project, class options in the menu is available.
>

Hello, you want eclipse-jdt and java-1.6.0-openjdk-devel;
and pls dont use html formatted messages ;)
Cheers

--
Guido Grazioli <guido.grazioli@gmail.com>
Via Parri 11 48011 - Alfonsine (RA)
Mobile: +39 347 1017202 (10-18)
Key FP = 7040 F398 0DED A737 7337* DAE1 12DC A698 5E81 2278
Linked in: http://www.linkedin.com/in/guidograzioli
--
java-devel mailing list
java-devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/java-devel

Adam Young 06-13-2011 01:11 PM

JRE not recognised in eclipse IDE
 
>> I installed eclipse-platform-3.5.2-2.fc13.x86_64 on Fedora 13.
>> Java has been installed on the system.
>> ca1@localhost ~]$ java -version
>> java version "1.6.0_18"
>> ......
>>
>> But, Java runtime is not recognised in the Eclipse IDE.
>> Under Menu....... Window>Preferences there are no installed JREs options.
>> Also, no Java project, class options in the menu is available.
>>
> Hello, you want eclipse-jdt and java-1.6.0-openjdk-devel;
> and pls dont use html formatted messages ;)
> Cheers
>
Spent a little bit of time chasing this down myself last night with
akurtakov and hicham. It is looking like a 32 vs 64 bit issue: I have
no Java support on 64 bit, but they both have it working on 32. THis is
on F15 with all of the openjdk RPMs installed as well as eclipse-jdt.

I ran eclipse and saw no Java support (no Java perspective, and
File->new->Project didn't have Java as an option.)

Tried removing ~/.eclipse. No difference
Tried uninstalling all of the rpms, making sure that there was no
/etc/eclipse.conf, and the workspace was gone as well as no
~/.eclipse. No difference.

We saw a strange side effect, which was that, once I removed the babel
rpm (eclipse-nls.noarch) and then deleted the directory under
/usr/share/eclipse, I was getting an OSGi error that it couldn't find
the repo. Might have been a red herring, but it seems indicative of a
dependecy that isn't fully separated out.

If I run from the upstream tarball, I can see a plugin listed under
help->about...->Installation Details->Plugins

called org.eclipse.jdt.core and org.eclipse.jdt.ui

But the (not working) RPM version does not have these plugins listed.

I'm guessing that this is a problem at the OSGi layer, that the plugins
are not getting activated.


Does anyone have a working Fedora Eclipse on 64 bit?


I have the following installed.

[ayoung@ayoung ~]$ rpmquery -a | grep eclipse
icu4j-eclipse-4.2.1-2.fc15.x86_64
eclipse-swt-3.6.2-5.fc15.x86_64
eclipse-platform-3.6.2-5.fc15.x86_64
eclipse-jdt-3.6.2-5.fc15.x86_64
tomcat5-jasper-eclipse-5.5.31-3.fc15.noarch
eclipse-rcp-3.6.2-5.fc15.x86_64

[ayoung@ayoung ~]$ rpmquery -a | grep openjdk
java-1.6.0-openjdk-src-1.6.0.0-57.1.10.1.fc15.x86_64
java-1.6.0-openjdk-devel-1.6.0.0-57.1.10.1.fc15.x86_64
java-1.6.0-openjdk-1.6.0.0-57.1.10.1.fc15.x86_64
java-1.6.0-openjdk-javadoc-1.6.0.0-57.1.10.1.fc15.x86_64
java-1.6.0-openjdk-demo-1.6.0.0-57.1.10.1.fc15.x86_64




--
java-devel mailing list
java-devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/java-devel

Guido Grazioli 06-14-2011 01:09 AM

JRE not recognised in eclipse IDE
 
2011/6/13 Adam Young <ayoung@redhat.com>:
> Spent a little bit of time chasing this down myself last night with
> akurtakov and hicham. *It is looking like a *32 vs 64 bit issue: *I have
> no Java support on 64 bit, but they both have it working on 32. *THis is
> on F15 with all of the openjdk RPMs installed as well as eclipse-jdt.
>
> I ran eclipse and saw no Java support (no Java perspective, and
> File->new->Project didn't have Java as an option.)
>
> Does anyone have a working Fedora Eclipse on 64 bit?

On my laptop I have F14 and 64bit eclipse is working nicely; however
my system has been yum upgraded since F11, so could some old
configuration be laying around?

This is what is installed:
eclipse-rse-3.2-1.fc14.noarch
eclipse-subclipse-1.6.16-1.fc14.noarch
eclipse-cdt-7.0.1-5.fc14.x86_64
eclipse-svnkit-1.3.3-5.fc14.noarch
eclipse-pde-3.6.1-6.2.fc14.x86_64
eclipse-rcp-3.6.1-6.2.fc14.x86_64
eclipse-cmakeed-1.1.5-1.fc13.noarch
eclipse-changelog-2.6.7-5.fc14.x86_64
eclipse-jdt-3.6.1-6.2.fc14.x86_64
eclipse-swt-3.6.1-6.2.fc14.x86_64
eclipse-emf-2.6.0-2.fc14.noarch
eclipse-dtp-1.8.1-1.fc14.noarch
eclipse-gef-3.6.1-1.fc14.noarch
icu4j-eclipse-4.2.1-1.fc14.x86_64
tomcat5-jasper-eclipse-5.5.27-7.4.fc12.noarch
eclipse-rpm-editor-0.6.0-1.fc14.x86_64
eclipse-pydev-1.6.1-1.fc14.x86_64
eclipse-platform-3.6.1-6.2.fc14.x86_64
maven-eclipse-plugin-2.8-2.fc14.noarch

java-1.6.0-openjdk-plugin-1.6.0.0-52.1.9.7.fc14.x86_64
java-1.6.0-openjdk-javadoc-1.6.0.0-52.1.9.7.fc14.x86_64
java-1.6.0-openjdk-1.6.0.0-52.1.9.7.fc14.x86_64


--
Guido Grazioli <guido.grazioli@gmail.com>
Via Parri 11 48011 - Alfonsine (RA)
Mobile: +39 347 1017202 (10-18)
Key FP = 7040 F398 0DED A737 7337* DAE1 12DC A698 5E81 2278
Linked in: http://www.linkedin.com/in/guidograzioli
--
java-devel mailing list
java-devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/java-devel

Andrew Overholt 06-14-2011 08:41 PM

JRE not recognised in eclipse IDE
 
* Adam Young <ayoung@redhat.com> [2011-06-13 09:07]:
>
> Does anyone have a working Fedora Eclipse on 64 bit?

Yes, on F15.

> [ayoung@ayoung ~]$ rpmquery -a | grep eclipse
>
> [...]

I have the exact same packages as you do along with these in addition:

eclipse-cdt-7.0.2-1.fc15.x86_64
eclipse-changelog-2.6.7-7.fc15.x86_64
eclipse-egit-0.11.3-2.fc15.noarch
eclipse-emf-2.6.0-2.fc14.noarch
eclipse-fedorapackager-0.1.12-1.fc15.noarch
eclipse-jgit-0.11.3-1.fc15.noarch
eclipse-linuxprofilingframework-0.6.1-2.fc15.x86_64
eclipse-mpc-1.0.1-2.fc15.noarch
eclipse-mylyn-3.5.1-1.fc15.noarch
eclipse-mylyn-builds-3.5.1-2.fc15.noarch
eclipse-mylyn-builds-hudson-3.5.1-2.fc15.noarch
eclipse-mylyn-commons-3.5.1-1.fc15.noarch
eclipse-mylyn-context-3.5.1-1.fc15.noarch
eclipse-mylyn-context-cdt-3.5.1-1.fc15.noarch
eclipse-mylyn-context-java-3.5.1-1.fc15.noarch
eclipse-mylyn-context-pde-3.5.1-1.fc15.noarch
eclipse-mylyn-context-team-3.5.1-1.fc15.noarch
eclipse-mylyn-docs-wikitext-3.5.1-1.fc15.noarch
eclipse-mylyn-ide-3.5.1-1.fc15.noarch
eclipse-mylyn-tasks-bugzilla-3.5.1-3.fc15.noarch
eclipse-mylyn-tasks-trac-3.5.1-3.fc15.noarch
eclipse-mylyn-tasks-web-3.5.1-3.fc15.noarch
eclipse-mylyn-versions-3.5.1-1.fc15.noarch
eclipse-mylyn-versions-cvs-3.5.1-1.fc15.noarch
eclipse-mylyn-versions-git-3.5.1-1.fc15.noarch
eclipse-oprofile-0.6.1-4.fc15.x86_64
eclipse-p2-discovery-1.0.0-2.fc15.noarch
eclipse-pde-3.6.2-5.fc15.x86_64
eclipse-rpm-editor-0.6.0-2.fc15.x86_64
eclipse-rse-3.2-3.fc15.noarch

Andrew
--
java-devel mailing list
java-devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/java-devel


All times are GMT. The time now is 07:00 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.